
From: Marek Szuba <scriptkiddie@wp.pl>

Use the configured default NLS rather than hardwire it.


---

 25-akpm/fs/isofs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/isofs/inode.c~isofs-default-nls-charset-not-used-fix fs/isofs/inode.c
--- 25/fs/isofs/inode.c~isofs-default-nls-charset-not-used-fix	2004-04-22 22:22:28.847121040 -0700
+++ 25-akpm/fs/isofs/inode.c	2004-04-22 22:22:28.852120280 -0700
@@ -802,7 +802,7 @@ root_found:
 
 #ifdef CONFIG_JOLIET
 	if (joliet_level && opt.utf8 == 0) {
-		char * p = opt.iocharset ? opt.iocharset : "iso8859-1";
+		char * p = opt.iocharset ? opt.iocharset : CONFIG_NLS_DEFAULT;
 		sbi->s_nls_iocharset = load_nls(p);
 		if (! sbi->s_nls_iocharset) {
 			/* Fail only if explicit charset specified */

_
